## class OSGUTIL_EXPORT osgUtil::DisplayListVisitor

> Visitor for traversing scene graph and setting each osg::Drawable's _useDisplayList flag, with option to immediately compile osg::Drawable OpenGL Display lists and osg::StateAttribute's

## Inheritance:

### Public Methods

DisplayListVisitor(Mode mode=COMPILE_DISPLAY_LISTS|COMPILE_STATE_ATTRIBUTES)
  Construct a DisplayListVisior to traverse all child, with set specified display list mode.
void setMode(Mode mode)
  Set the operational mode of how the visitor should set up osg::Drawable's
Mode getMode() const
  Get the operational mode
void setState(osg::State* state)
  Set the State to use during traversal.
osg::State* getState()
virtual void apply(osg::Node& node)
  Simply traverse using standard NodeVisitor traverse method
virtual void apply(osg::Geode& node)
  For each Geode visited set the display list usage according to the _displayListMode

### Public Members

enum ModeValues
  Operation modes of the
typedef unsigned int Mode

### Protected Fields

Mode _mode
osg::ref_ptr<osg::State> _state

## Documentation

> Visitor for traversing scene graph and setting each osg::Drawable's _useDisplayList flag, with option to immediately compile osg::Drawable OpenGL Display lists and osg::StateAttribute's

`enum ModeValues`
  Operation modes of the

  `SWITCH_ON_DISPLAY_LISTS`

  `SWITCH_OFF_DISPLAY_LISTS`

  `COMPILE_DISPLAY_LISTS`

  `COMPILE_STATE_ATTRIBUTES`

`typedef unsigned int Mode`

`DisplayListVisitor(Mode mode=COMPILE_DISPLAY_LISTS|COMPILE_STATE_ATTRIBUTES)`
  Construct a DisplayListVisior to traverse all child, with set specified display list mode. Default mode is to gset->setUseDisplayList(true).

`void setMode(Mode mode)`
  Set the operational mode of how the visitor should set up osg::Drawable's

`Mode getMode() const`
  Get the operational mode

`void setState(osg::State* state)`
  Set the State to use during traversal.

`osg::State* getState()`

`virtual void apply(osg::Node& node)`
  Simply traverse using standard NodeVisitor traverse method

`virtual void apply(osg::Geode& node)`
  For each Geode visited set the display list usage according to the _displayListMode

`Mode _mode`

`osg::ref_ptr<osg::State> _state`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.